package com.yonge.cooleshow.biz.dal.enums.im;

import lombok.Getter;

/**
 * Description
 *
 * @author liujunchi
 * @date 2023-03-02
 */
@Getter
public enum ETencentImCallbackCommand {

    // STATE_STATECHANGE("State.StateChange", "用户状态变更"),
    GROUP_CALLBACKAFTERMEMBEREXIT("Group.CallbackAfterMemberExit", "群成员离开之后回调"),
    GROUP_CALLBACKAFTERNEWMEMBERJOIN("Group.CallbackAfterNewMemberJoin", "新成员入群之后回调"),
    GROUP_CALLBACKONMEMBERSTATECHANGE("Group.CallbackOnMemberStateChange", "直播群成员在线状态回调"),
    ;

    private final String command;
    private final String desc;

    private final String code;

    ETencentImCallbackCommand(String command, String desc) {
        this.command = command;
        this.desc = desc;

        this.code = this.name();
    }
}
